commit 02b8b183a16a5bc7e10eb45cfb454002f63400c7
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Tue Jan 27 00:20:57 2026 +0000

    Build: Gnu/HURD types
    
    Broken-by: c33264393a1c

diff --git a/src/OS/os.h-GNU b/src/OS/os.h-GNU
index 2a335bc27..3aba3def5 100644
--- a/src/OS/os.h-GNU
+++ b/src/OS/os.h-GNU
@@ -1,5 +1,5 @@
 /* Exim: OS-specific C header file for GNU/Hurd */
-/* Copyright (c) The Exim Maintainers 2020 - 2025 */
+/* Copyright (c) The Exim Maintainers 2020 - 2026 */
 /* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include <features.h>
@@ -29,4 +29,9 @@ as well as any supplementary groups*/
 # define EXIM_HAVE_OPENAT
 #endif
 
+#ifdef PID_T_FMT
+# undef PID_T_FMT
+#endif
+#define PID_T_FMT "%d"
+
 /* End */
diff --git a/src/src/exim.c b/src/src/exim.c
index a87219920..c42bb60d8 100644
--- a/src/src/exim.c
+++ b/src/src/exim.c
@@ -2824,7 +2824,7 @@ on the second character (the one after '-'), to save some effort. */
       /* Use an intermediate variable so that we don't set debugging while
       decoding the debugging bits. */
 
-      unsigned long selector = D_default;
+      bitmask_word_t selector = D_default;
       debug_selector = 0;
       debug_file = NULL;
       if (*argrest == 'd')
